/***************************************************************
From the book "Motif Programming, The Essentials...and More"
by Marshall Brain.
Published by Digital Press, ISBN 1-55558-089-0.
To order the book, call 1-800-DIGITAL and ask for EY-J816E-DP.

Copyright 1992, by Digital Equipment Corp.

This code demonstrates the arrow button widget.
***************************************************************/

/*arrow.c*/

#include <Xm/Xm.h>
#include <Xm/ArrowB.h>

XtAppContext context;

Widget toplevel, arrow;

void arrowCB(w,client_data,call_data)
    Widget w;
    XtPointer client_data;
    XmArrowButtonCallbackStruct *call_data;
{
    printf("click_count = %d \n",call_data->click_count);
}

void main(argc,argv)
    int argc;
    char *argv[];
{
    Arg al[10];
    int ac;

    /* create the toplevel shell */
    toplevel = XtAppInitialize(&context,"",NULL,0,&argc,argv,NULL,NULL,0);

    /* create the arrow button. */
    ac=0;
    XtSetArg (al[ac], XmNmultiClick, XmMULTICLICK_KEEP);  ac++;
    arrow=XmCreateArrowButton(toplevel,"arrow",al,ac);
    XtManageChild(arrow);
    XtAddCallback (arrow, XmNactivateCallback, arrowCB, NULL);

    XtRealizeWidget(toplevel);
    XtAppMainLoop(context);
}
